aurora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Erb, Stephan" <Stephan....@blue-yonder.com>
Subject Re: [VOTE] Release Apache Aurora 0.15.0 packages
Date Tue, 02 Aug 2016 10:38:48 GMT
This vote is still open and the packages have not been released yet. Formally, everything looks
correct to me. We should be able to proceed here, right? 

On 12/07/16 22:54, "Erb, Stephan" <Stephan.Erb@blue-yonder.com> wrote:

+1

Ran the test instructions for all three architectures. There is a minor hiccup with the provision.sh
for Debian, but nothing too serious https://gist.github.com/StephanErb/f96f2e4038499efba4fafebada58a9a7.

On 08/07/16 23:59, "John Sirois" <john.sirois@gmail.com> wrote:

Ah yes - and that's covered in the relase notes.  Sorry for the thrash.
+1

I was hurrying a bit to get this tested before going AFK and the lack of
packaging fixes for 0.15 on aurora-packaging master threw me.  Those fixes
should make it to master IIUC.

On Thu, Jul 7, 2016 at 11:53 AM, Maxim Khutornenko <maxim@apache.org> wrote:

> I have replied in https://reviews.apache.org/r/49732/. The main
> purpose of 0.15.0 was to upgrade to Mesos 0.28.2 and as such we must
> build against that version.
>
> On Wed, Jul 6, 2016 at 7:47 PM, John Sirois <john.sirois@gmail.com> wrote:
> > On Jul 6, 2016 8:34 PM, "John Sirois" <john.sirois@gmail.com> wrote:
> >>
> >> I missed Maxim's ~same fix here: https://reviews.apache.org/r/49732/
> >>
> >> Folks will need that patch to test, which is not on master, but on the
> > 0.15.x branch of aurora-packaging.
> >>
> >> On Wed, Jul 6, 2016 at 8:22 PM, John Sirois <john.sirois@gmail.com>
> wrote:
> >>>
> >>> +1 ... with minor nagging reservations.
> >
> > I updated my understanding on https://reviews.apache.org/r/49732/ which
> > changes my vote to -1. The >=0.28.2 mesos constraint does not seem to be
> > correct / in line with our standard compatibility claims.
> >
> >>>
> >>> I could only get the packages tested out after applying the
> provision.sh
> > fixes here: https://reviews.apache.org/r/49740/
> >>> I think the 0.15.0 release is supposed to be compatible back to mesos
> > 0.27(.2) though; thus the reservations.
> >>> I need to dig a bit more on the test failure (aurora-scheduler failed
> to
> > start on debian-jessie - did not try other platforms
> >>> before the linked RB fix), but I was wondering what other folks found
> > without the above linked RB patch.
> >>>
> >>> On Wed, Jul 6, 2016 at 6:40 PM, Maxim Khutornenko <maxim@apache.org>
> > wrote:
> >>>>
> >>>> All,
> >>>>
> >>>>
> >>>> I propose that we accept the following artifacts as the official deb
> >>>> and rpm packaging for Apache Aurora 0.15.0:
> >>>>
> >>>>
> >>>> https://dl.bintray.com/mkhutornenko/aurora/
> >>>>
> >>>>
> >>>> The Aurora deb and rpm packaging includes the following:
> >>>>
> >>>> ---
> >>>>
> >>>> The branch used to create the packaging is:
> >>>>
> >>>>
> >
> https://git1-us-west.apache.org/repos/asf?p=aurora-packaging.git;a=tree;hb=refs/heads/0.15.x
> >>>>
> >>>>
> >>>> The packages are available at:
> >>>>
> >>>> https://dl.bintray.com/mkhutornenko/aurora/
> >>>>
> >>>>
> >>>> The GPG keys used to sign the packages are available at:
> >>>>
> >>>> https://dist.apache.org/repos/dist/release/aurora/KEYS
> >>>>
> >>>>
> >>>> Please download, verify, and test. Detailed test instructions are
> > available here
> >>>>
> >>>>
> >
> https://git1-us-west.apache.org/repos/asf?p=aurora-packaging.git;a=tree;f=test;hb=refs/heads/0.15.x
> >>>>
> >>>>
> >>>> The vote will close on Mon Jul  11 18:55:16 PDT 2016
> >>>>
> >>>>
> >>>>
> >>>> [ ] +1 Release these as the deb and rpm packages for Apache Aurora
> > 0.15.0
> >>>>
> >>>> [ ] +0
> >>>>
> >>>> [ ] -1 Do not release these artifacts because...
> >>>>
> >>>>
> >>>> I would like to get the voting started off with my own +1
> >>>
> >>>
> >>
>




Mime
View raw message